
/**
 * Copyright (c) Milad Eftekhar <milad@cs.toronto.edu>
 * @author Milad
 *
 */


public class HTNode implements Comparable{
	final int[] indices;
	public HTNode(int[] index){
		indices = new int[] {index[0], index[1]};
	}
	@Override
	public int compareTo(Object o) {
		if(this.indices[0] > ((HTNode)o).indices[0])
			return -1;
		if(this.indices[0] < ((HTNode)o).indices[0])
			return 1;
		//indices[0] are equal
		if(this.indices[1] > ((HTNode)o).indices[1])
			return -1;
		if(this.indices[1] < ((HTNode)o).indices[1])
			return 1;
		return 0;
	}
	public boolean equals(Object o){
		if(this.compareTo((HTNode)o)==0)
			return true;
		return false;
	}
	@Override
	public int hashCode() {
		return (indices[0] << 8) ^ indices[1];
	}
	
}
