
/**
 * Copyright (c) Milad Eftekhar <milad@cs.toronto.edu>
 * @author Milad
 *
 */

public class Node implements Comparable{
	private int index;
	private float value;
	public Node(int ind, float val){
		this.set(ind,val);
	}
	public void set(int ind, float val){
		this.index = ind;
		this.value = val;
	}
	public void incval(){
		this.value++;
	}
	public int getind(){
		return this.index;
	}
	public float getval(){
		return this.value;
	}
	public int compareTo(Object o){
		if(this.value > ((Node)o).value)
			return -1;
		if(this.value < ((Node)o).value)
			return 1;
		//equal
		if(this.index > ((Node)o).index)
			return -1;
		if(this.index < ((Node)o).index)
			return 1;
		return 0;
	}
	public boolean equals(Object o){
		if(this.compareTo((Node)o)==0)
			return true;
		return false;
	}

}