
/**
 * Copyright (c) Milad Eftekhar <milad@cs.toronto.edu>
 * @author Milad
 *
 */

import java.io.DataInputStream;
import java.io.DataOutputStream;
import java.io.FileInputStream;
import java.io.FileOutputStream;
import java.io.IOException;


public class randomSaver {

	/**
	 * @param args
	 */
	public static void main(String[] args) throws IOException{
		//args[0]: R
		//args[1]: dimension
		//args[2]: saves the threshold settings in filename
		
		generateRandomThresholds(Integer.parseInt(args[0]),Integer.parseInt(args[1]),args[2]);
	//	float[][] thresholds = readRandomThresholds("thresholds.bin");
		
		

	}
	
	public static void generateRandomThresholds(int R, int dimension, String file) throws IOException{
		DataOutputStream outfile = new DataOutputStream(new FileOutputStream(file));
		outfile.writeInt(R);
		outfile.writeInt(dimension);
		
		for(int i=0; i<R; i++){
			System.out.println(i);
			for(int j=0; j<dimension; j++)
				outfile.writeFloat((float)Math.random());
		}
		outfile.flush();
		outfile.close();
		
		
		
	}
	
	
	public static float[][] readRandomThresholds(String file) throws IOException{
		DataInputStream infile = new DataInputStream(new FileInputStream(file));
		int R = infile.readInt();
		int dimension = infile.readInt();
		float[][] thresholds = new float[R][dimension];
		
		for(int i=0; i<R; i++)
			for(int j=0; j<dimension; j++)
				thresholds[i][j] = infile.readFloat();
		
		infile.close();
		return thresholds;
	}

}
