
/**
 * Copyright (c) Milad Eftekhar <milad@cs.toronto.edu>
 * @author Milad
 *
 */


public class weightedEdge extends LinkNode{

	private float reverseweigth;

	public weightedEdge(int i, float j, float k){
		super (i,j);
		this.reverseweigth = k;
	}
	
	public float getReverseWeight(){
		return this.reverseweigth;
	}
	
	public void increaseRWeight (float extra){
		this.reverseweigth += extra;
	}

	public void divUpdateRWeight(float newReverseWeight){
		this.reverseweigth /= newReverseWeight;
	}
	public void setRWeight(float newRWeight){
		this.reverseweigth = newRWeight;
	}
	
}
